Skip to main content
POST
Save HubSpot company mapping

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

company_target_mode
enum<string>
required

Company target mode. Validation: required; allowed values: household, organization_donor.

Available options:
household,
organization_donor
Example:

"household"

source_of_truth
enum<string> | null

Source of truth. Validation: nullable; allowed values: provider, hys, bidirectional.

Available options:
provider,
hys,
bidirectional,
null
Example:

"provider"

company_match_by_name
boolean | null

Company match by name. Validation: nullable, boolean.

Example:

true

Response

Operation result.

status
string
Example:

"success"

data
object

Activity-setting saves return only connection; other mapping saves include the newly approved mapping.

message
string

Operation receipt.

Example:

"Example"